Neidio i'r cynnwys

Moondream3 Preview [Detect]

Integreiddio

ID y model moondream3-preview/detect
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream3-preview/detect?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Y cais hwn: ≈$0.001 1 credyd API Ei redeg ar y dudalen hon

Cael allwedd API
Moondream Gweledigaeth #vision

Yn canfod gwrthrych a enwir mewn delwedd ac yn dychwelyd blychau terfyn ynghyd â delwedd wedi'i hanodi

Moondream · Delwedd

Mae eich canlyniad cyntaf yn mynd yma

Adeiladwch gais isod a'i redeg gyda'ch allwedd API. Mae allbynnau'n cael eu copïo i'n storio, wedi'u cadw am byth neu am 7 diwrnod am ddim.

Adeiladu cais

Cynhyrchir rheolyddion o sgema'r model. Mae'r cod a'r pris yn diweddaru wrth i chi eu newid.

•gofynnol

Gwrthrych targed i'w ganfod yn y ddelwedd.

•gofynnol image_url
Gollyngwch ffeil, neu

URL sy'n pwyntio at y ddelwedd i'w phrosesu.

Uwch preview
POST /run/moondream3-preview/detect?wait=20 dyfynbris → $0.001
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/moondream3-preview/detect?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

Rhedeg y cais hwn

Mae'ch allwedd yn aros yn y porwr hwn: caiff ei hanfon at Doitong API yn unig a'i chadw (localStorage) dim ond os ticiwch Cofio. Cael allwedd API

Ynglŷn â Moondream3 Preview [Detect]

O gael delwedd yn `image_url` a `prompt` sy'n enwi'r gwrthrych i'w ganfod, mae'n dychwelyd rhestr o wrthrychau a ganfuwyd gyda blychau terfyn. Mae'r allbwn hefyd yn cynnwys delwedd gyda'r blychau wedi'u lluniadu arni. Mae baner `preview` yn toglo allbwn rhagolwg.

Paramedrau

Anfonwch naill ai'r enw canonaidd neu'r enw brodorol, nid y ddau. Enwau canonaidd

EnwMath RhagosodedigCaniateir Disgrifiad
image_urlgofynnol image
Mathurl · image
URL sy'n pwyntio at y ddelwedd i'w phrosesu.
promptgofynnol
Mathstring
Gwrthrych targed i'w ganfod yn y ddelwedd.
previewdewisol
Mathboolean
Rhagosodedigfalse
Yn rheoli a ddangosir rhagolwg allbwn.
gofynnol Enw canonaidd, derbyniol hefyd

Mae paramedrau ffeil yn derbyn URL cyhoeddus https://, URI data: hyd at 10 MB, neu file_url uwchlwythiad. Ffeiliau

Allbwn

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "moondream3-preview/detect",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 1,
    "usd": "0.001",
    "charged": 1,
    "refunded": 0
  },
  "input": {
    "image_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "finish_reason": "stop",
    "usage_info": {
      "input_tokens": 1,
      "output_tokens": 1,
      "prefill_time_ms": 1.0,
      "decode_time_ms": 1.0,
      "ttft_ms": 1.0
    },
    "objects": [
      {
        "x_min": 1.0,
        "y_min": 1.0,
        "x_max": 1.0,
        "y_max": 1.0
      }
    ],
    "image": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_name": "0-output.jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768
    }
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
Eich ffeiliau, eich dewisMae pob outputs[].url yn gopi ar ein storio: wedi'i gadw am byth (telir fesul GB-mis) neu am 7 diwrnod am ddim, yn ôl gosodiad eich cyfrif neu ?storage=.
Yr un siâp ar bob modeltype, url, content_type, width, height a duration, ar gyfer delweddau, fideo a sain fel ei gilydd. Gwrthrych canlyniad y model ei hun yw output.
Meysydd yr allbwn
finish_reason
stringRheswm y daeth cynhyrchu allbwn i ben.
usage_info
object {input_tokens, output_tokens, prefill_time_ms, decode_time_ms, ttft_ms}Manylion defnydd y cais.
objects
array of object {x_min, y_min, x_max, y_max}Rhestr sy'n cynnwys canfyddiadau gwrthrychau a'r blwch terfyn ar gyfer pob un.
image
object {url, content_type, file_name, file_size, width, height} | nullDelwedd sy'n dangos gwrthrychau a ganfuwyd wedi'u hamgáu gan flychau terfyn.

Mwy o fodelau: Gweledigaeth

Ar gyfer asiantau AI: mae'r dudalen hon fel Markdown ar gael yn https://doitong.com/cy/developers/models/moondream3-preview/detect.md. Pob model a chanllaw: https://doitong.com/developers/llms.txt